Bug 239304 - lang/cython: Update to 0.29.12
Summary: lang/cython: Update to 0.29.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-19 15:48 UTC by Steve Wills
Modified: 2019-10-18 13:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (vmagerya)


Attachments
patch (820 bytes, patch)
2019-07-19 15:48 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-07-19 15:48:32 UTC
New version available, I'll post a patch
Comment 1 Steve Wills freebsd_committer 2019-07-19 15:48:36 UTC
Created attachment 205894 [details]
patch

patch to update port
Comment 2 Dennis Clarke 2019-10-02 14:15:02 UTC
Hello there Steve.  Well guess what I see on FreeBSD current 13.0 ppc64
while building py37-numpy-1.16.5,1 ?  Also I hate python.


hydra# uname -apKU
FreeBSD hydra 13.0-CURRENT FreeBSD 13.0-CURRENT r351523 GENERIC  powerpc powerpc64 1300042 1300042
hydra# 

Not the latest I know but damn stable. 

hydra# pwd
/usr/ports/lang/cython
hydra# cat /etc/make.conf 
DEFAULT_VERSIONS+=ssl=openssl111
DEFAULT_VERSIONS+=perl5=5.28
DEFAULT_VERSIONS+=python=3.7
hydra# 

.
.
.

/!\ WARNING /!\

PYTHON_DEFAULT must be a version present in PYTHON2_DEFAULT or PYTHON3_DEFAULT,
if you want more Python flavors, set BUILD_ALL_PYTHON_FLAVORS in your make.conf

===>  License BSD3CLAUSE accepted by the user
===>   py37-numpy-1.16.5,1 depends on file: /usr/local/sbin/pkg - found
=> numpy-1.16.5.zip doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://files.pythonhosted.org/packages/source/n/numpy/numpy-1.16.5.zip
numpy-1.16.5.zip                                      5017 kB   14 MBps    00s
=> numpy-ref-1.16.1.pdf doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://docs.scipy.org/doc/numpy-1.16.5/numpy-ref-1.16.1.pdf
fetch: https://docs.scipy.org/doc/numpy-1.16.5/numpy-ref-1.16.1.pdf: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/numpy-ref-1.16.1.pdf
numpy-ref-1.16.1.pdf                                  5054 kB 7932 kBps    01s
=> numpy-user-1.16.1.pdf doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://docs.scipy.org/doc/numpy-1.16.5/numpy-user-1.16.1.pdf
fetch: https://docs.scipy.org/doc/numpy-1.16.5/numpy-user-1.16.1.pdf: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/numpy-user-1.16.1.pdf
numpy-user-1.16.1.pdf                                  578 kB 2987 kBps    00s
===> Fetching all distfiles required by py37-numpy-1.16.5,1 for building
===>  Extracting for py37-numpy-1.16.5,1
=> SHA256 Checksum OK for numpy-1.16.5.zip.
=> SHA256 Checksum OK for numpy-ref-1.16.1.pdf.
=> SHA256 Checksum OK for numpy-user-1.16.1.pdf.
===>  Patching for py37-numpy-1.16.5,1
===>  Applying FreeBSD patches for py37-numpy-1.16.5,1
===>   py37-numpy-1.16.5,1 depends on executable: gfortran9 - found
===>   py37-numpy-1.16.5,1 depends on executable: cython-3.7 - not found
/!\ WARNING /!\

PYTHON_DEFAULT must be a version present in PYTHON2_DEFAULT or PYTHON3_DEFAULT,
if you want more Python flavors, set BUILD_ALL_PYTHON_FLAVORS in your make.conf

===>  License APACHE20 accepted by the user
===>   py37-cython-0.29_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py37-cython-0.29_1 for building
===>  Extracting for py37-cython-0.29_1
=> SHA256 Checksum OK for Cython-0.29.tar.gz.
===>  Patching for py37-cython-0.29_1
===>   py37-cython-0.29_1 depends on package: py37-setuptools>0 - found
===>   py37-cython-0.29_1 depends on file: /usr/local/bin/python3.7 - found
===>  Configuring for py37-cython-0.29_1
/usr/local/lib/python3.7/site-packages/setuptools/depends.py:2: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
setup.py:1: ResourceWarning: unclosed file <_io.BufferedReader name='setup.py'>
  #!/usr/bin/env python
ResourceWarning: Enable tracemalloc to get the object allocation traceback
Unable to find pgen, not compiling formal grammar.
running config
===>  Building for py37-cython-0.29_1
/usr/local/lib/python3.7/site-packages/setuptools/depends.py:2: DeprecationWarning: the imp module is deprecated in favour of importlib; see the module's documentation for alternative uses
  import imp
setup.py:1: ResourceWarning: unclosed file <_io.BufferedReader name='setup.py'>
  #!/usr/bin/env python
ResourceWarning: Enable tracemalloc to get the object allocation traceback
Unable to find pgen, not compiling formal grammar.
running build
running build_py
creating build
.
.
.
byte-compiling /usr/ports/lang/cython/work-py37/stage/usr/local/lib/python3.7/site-packages/pyximport/__init__.py to __init__.cpython-37.pyc
writing byte-compilation script '/var/tmp/root/tmpw2ls11et.py'
/usr/local/bin/python3.7 /var/tmp/root/tmpw2ls11et.py
/usr/local/lib/python3.7/site-packages/Cython/Compiler/Code.py:293: DeprecationWarning: invalid escape sequence \S
/usr/local/lib/python3.7/site-packages/Cython/Debugger/Tests/TestLibCython.py:43: DeprecationWarning: invalid escape sequence \d
removing /var/tmp/root/tmpw2ls11et.py
running install_egg_info
running egg_info
creating Cython.egg-info
writing Cython.egg-info/PKG-INFO
writing dependency_links to Cython.egg-info/dependency_links.txt
writing entry points to Cython.egg-info/entry_points.txt
writing top-level names to Cython.egg-info/top_level.txt
writing manifest file 'Cython.egg-info/SOURCES.txt'
reading manifest file 'Cython.egg-info/SOURCES.txt'
reading manifest template 'MANIFEST.in'
warning: no files found matching 'Doc/*'
warning: no files found matching '*.pyx' under directory 'Cython/Debugger/Tests'
warning: no files found matching '*.pxd' under directory 'Cython/Debugger/Tests'
warning: no files found matching '*.pxd' under directory 'Cython/Utility'
warning: no files found matching 'pyximport/README'
writing manifest file 'Cython.egg-info/SOURCES.txt'
Copying Cython.egg-info to /usr/ports/lang/cython/work-py37/stage/usr/local/lib/python3.7/site-packages/Cython-0.29-py3.7.egg-info
running install_scripts
Installing cygdb script to /usr/ports/lang/cython/work-py37/stage/usr/local/bin
Installing cython script to /usr/ports/lang/cython/work-py37/stage/usr/local/bin
Installing cythonize script to /usr/ports/lang/cython/work-py37/stage/usr/local/bin
writing list of installed files to '/usr/ports/lang/cython/work-py37/.PLIST.pymodtmp'
/usr/bin/find /usr/ports/lang/cython/work-py37/stage/usr/local/lib/python3.7/site-packages/Cython  -name '*.so' -exec /usr/bin/strip {} +
===> Creating unique files: Move MAN files needing SUFFIX
===> Creating unique files: Move files needing SUFFIX
Move: bin/cygdb --> bin/cygdb-3.7
Link: @bin/cygdb --> bin/cygdb-3.7
Move: bin/cython --> bin/cython-3.7
Link: @bin/cython --> bin/cython-3.7
Move: bin/cythonize --> bin/cythonize-3.7
Link: @bin/cythonize --> bin/cythonize-3.7
====> Compressing man pages (compress-man)
===>  Installing for py37-cython-0.29_1
===>  Checking if py37-cython is already installed
===>   Registering installation for py37-cython-0.29_1 as automatic
Installing py37-cython-0.29_1...
pkg-static: py37-cython-0.29_1 conflicts with py36-cython-0.29_1 (installs files into the same place).  Problematic file: /usr/local/bin/cygdb
*** Error code 70

Stop.
make[6]: stopped in /usr/ports/lang/cython
*** Error code 1

Stop.
make[5]: stopped in /usr/ports/math/py-numpy
*** Error code 1

Stop.
make[4]: stopped in /usr/ports/math/py-numpy
*** Error code 1

Stop.
make[3]: stopped in /usr/ports/devel/boost-python-libs
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/boost-python-libs
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/boost-all
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/boost-all
hydra# 

Geez I hate python.  It really is a joke from Monty Python.

Try again maybe ? 
hydra# 
hydra# cat /etc/make.conf
DEFAULT_VERSIONS+=ssl=openssl111
DEFAULT_VERSIONS+=perl5=5.28
hydra# 

hydra# pwd
/usr/ports/lang/cython
hydra# 

hydra# make clean 
===>  Cleaning for py36-cython-0.29_1
===>  Cleaning for py27-cython-0.29_1
===>  Cleaning for py37-cython-0.29_1
===>  Cleaning for py35-cython-0.29_1
hydra# 
hydra# make install 
===>  License APACHE20 accepted by the user
===>   py36-cython-0.29_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py36-cython-0.29_1 for building
===>  Extracting for py36-cython-0.29_1
=> SHA256 Checksum OK for Cython-0.29.tar.gz.
===>  Patching for py36-cython-0.29_1
===>   py36-cython-0.29_1 depends on package: py36-setuptools>0 - not found
===>  License MIT accepted by the user
===>   py36-setuptools-41.2.0 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by py36-setuptools-41.2.0 for building
===>  Extracting for py36-setuptools-41.2.0
=> SHA256 Checksum OK for python/setuptools-41.2.0.zip.
===>  Patching for py36-setuptools-41.2.0
===>   py36-setuptools-41.2.0 depends on file: /usr/local/bin/python3.6 - found
===>  Configuring for py36-setuptools-41.2.0
.
.
.
reading manifest template 'MANIFEST.in'
warning: no previously-included files found matching 'pyproject.toml'
writing manifest file 'setuptools.egg-info/SOURCES.txt'
Copying setuptools.egg-info to /usr/ports/devel/py-setuptools/work-py36/stage/usr/local/lib/python3.6/site-packages/setuptools-41.2.0-py3.6.egg-info
running install_scripts
Installing easy_install script to /usr/ports/devel/py-setuptools/work-py36/stage/usr/local/bin
writing list of installed files to '/usr/ports/devel/py-setuptools/work-py36/.PLIST.pymodtmp'
install  -m 0644 /usr/ports/devel/py-setuptools/files/easy-install.pth.dist /usr/ports/devel/py-setuptools/work-py36/stage/usr/local/lib/python3.6/site-packages/
===> Creating unique files: Move MAN files needing SUFFIX
===> Creating unique files: Move files needing SUFFIX
Move: bin/easy_install --> bin/easy_install-3.6
Link: @bin/easy_install --> bin/easy_install-3.6
====> Compressing man pages (compress-man)
===>  Installing for py36-setuptools-41.2.0
===>  Checking if py36-setuptools is already installed
===>   Registering installation for py36-setuptools-41.2.0 as automatic
Installing py36-setuptools-41.2.0...
pkg-static: py36-setuptools-41.2.0 conflicts with py37-setuptools-41.2.0 (installs files into the same place).  Problematic file: /usr/local/bin/easy_install
*** Error code 70

Stop.
make[1]: stopped in /usr/ports/devel/py-setuptools
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/cython
hydra# 

boom.

hydra# 
hydra# make deinstall 
===>  Deinstalling for py36-cython
===>   Deinstalling py36-cython-0.29_1
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        py36-cython-0.29_1

Number of packages to be removed: 1

The operation will free 11 MiB.
[1/1] Deinstalling py36-cython-0.29_1...
[1/1] Deleting files for py36-cython-0.29_1: 100%
hydra# 

hydra# 
hydra# make deinstall 
===>  Deinstalling for py36-cython
===>   Deinstalling py36-cython-0.29_1
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
        py36-cython-0.29_1

Number of packages to be removed: 1

The operation will free 11 MiB.
[1/1] Deinstalling py36-cython-0.29_1...
[1/1] Deleting files for py36-cython-0.29_1: 100%
hydra# 
hydra# make install
===>   py36-cython-0.29_1 depends on package: py36-setuptools>0 - not found
===>  Installing for py36-setuptools-41.2.0
===>  Checking if py36-setuptools is already installed
===>   Registering installation for py36-setuptools-41.2.0 as automatic
Installing py36-setuptools-41.2.0...
pkg-static: py36-setuptools-41.2.0 conflicts with py37-setuptools-41.2.0 (installs files into the same place).  Problematic file: /usr/local/bin/easy_install
*** Error code 70

Stop.
make[1]: stopped in /usr/ports/devel/py-setuptools
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/cython
hydra# pwd 
/usr/ports/lang/cython
hydra# 

Python is trash. 
Certainly multiple versions hanging around for the build system.

Anyways ... I'll keep trying to get boost built here while locked in
moral death struggle battle with having seventeen versions of Python
around just to keep various ports build processes happy. 

Dennis Clarke
Comment 3 commit-hook freebsd_committer 2019-10-18 13:23:46 UTC
A commit references this bug:

Author: swills
Date: Fri Oct 18 13:23:21 UTC 2019
New revision: 514719
URL: https://svnweb.freebsd.org/changeset/ports/514719

Log:
  lang/cython: Update to 0.29.12

  PR:		239304
  Approved by:	maintainer timeout (vmagerya@gmail.com, >2 months)

Changes:
  head/lang/cython/Makefile
  head/lang/cython/distinfo